“Fatal error: Call to underfined function get_called_class() in “が出た時に確認したいこと

error-1

WordPressのプラグインをインストールした際に、” Fatal error: Call to underfined function get_called_class() in “と表示されてプラグインが有効化できなかったことはありませんか?

そんな際に確認したことです。

スポンサーリンク

PHPのバージョンを確認する

先日の記事

で、Wordpressのプラグイン「SNS Count Cache」を有効化した際に、表示されました。

いろいろと調べてみると、WordPress.ORGにそれらしき内容が…
どうもPHPのバージョンがあってないようなので、まずサーバーのPHPのバージョンを確認します。

お使いのサーバーによって、確認方法が違うためここでは割愛しています。

確認したところ、当サイトの場合はPHPのバージョンが5.2になっていました。
WordPress.ORGでは、このエラーはPHPのバージョン5.3が必要と記載されていましたので、当サイトで使用しているPHPのバージョンを5.3へ変更しプラグインを有効化すると、あっさりと入りました。

seijyo

あとがき

PHPも知らない間にどんどん更新されているんですね(^^;)

Fatal error: Call to underfined function get_called_class() inと表示された場合は、一度PHPのバージョンを確認することをお勧めします。

※バージョンを変更する際は、自己責任でお願いします。